
QGIS Application - Bug report #15861

Magnifier zoom factor incompatible with maximum zoom level

2016-11-19 07:10 AM - Nathan Perry

Status: Closed

Priority: Normal

Assignee:

Category: Map Tools

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23779

Description

When using the Magnifier to zoom by using the +/- shortcuts or the mouse wheel/trackpad, the zoom level is incremented by a factor of

2x. However, the maximum zoom level is set at 1000%, which is not a factor of 2x. This means when zooming in, the levels are 100, 200,

400, 800, but then 1000 instead of 1600. Thus, when zooming out the levels are 1000, 500, 250, 125, 62… As a result, it's impossible to

zoom out to 100% from the maximum of 1000% using the shortcuts or mouse wheel.

Associated revisions

Revision 6d0e8e62 - 2016-11-21 01:38 AM - Nyall Dawson

Make max canvas scale 1600% (fix #15861)

Max canvas sacle should be a multiple of 2 so that zooming in

to the max and then back out again results in 100% zoom option.

Additionally, make the min/max zoom level not come from QSettings

as these aren't exposed anywhere

Revision 9c64ad2f - 2016-11-23 02:10 AM - Nyall Dawson

Make max canvas scale 1600% (fix #15861)

Max canvas sacle should be a multiple of 2 so that zooming in

to the max and then back out again results in 100% zoom option.

Additionally, make the min/max zoom level not come from QSettings

as these aren't exposed anywhere

(cherry-picked from 6d0e8e6)

History

#1 - 2016-11-20 05:29 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"6d0e8e62f0c2948a80f64be2f5e63e1c0c9d0ba3".
#2 - 2016-11-29 08:38 AM - Nathan Perry

- Status changed from Closed to Reopened

Apologies for the duplicate (#15900). I did not see at first that this issue had successfully been posted and already closed.

Reopening because a similar issue exists with the minimum zoom factor. It should be 12% (0.125) or 6% (0.0625) to avoid the same problem.

#3 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2017-05-23 10:47 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Reopened to Closed

Applied in changeset commit:qgis|6d0e8e62f0c2948a80f64be2f5e63e1c0c9d0ba3.
